    $(function() {
        load(1);
    });

    function load(page) {
        var range = $("#range").val();
        var parametros = {
            "action": "ajax",
            "page": page,
            'range': range
        };
        $("#loader").fadeIn('slow');
        $.ajax({
            url: '../ajax2/rep_historial.php',
            data: parametros,
            beforeSend: function(objeto) {
                $("#loader").html("<img src='../../img/ajax-loader.gif'>");
            },
            success: function(data) {
                $(".outer_div").html(data).fadeIn('slow');
                $("#loader").html("");
            }
        })
    }
    //GUARDA EL RESGISTRO DE DATOS PERSONALES
    $("#update_register").submit(function(event) {
        $('.actualizar_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: "../ajax2/editar_paciente2.php",
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Cargando...');
            },
            success: function(datos) {
                $("#resultados_ajax").html(datos);
                $('.actualizar_datos').attr("disabled", false);
                window.setTimeout(function() {
                    $(".alert").fadeTo(500, 0).slideUp(500, function() {
                        $(this).remove();
                    });
                }, 5000);
            }
        });
        event.preventDefault();
    });
    //FIN
    //GUARDA EL RESGISTRO DEL FORMULARIO DE DIRECCION
    $("#update_dir").submit(function(event) {
        $('.actualizar_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: "../ajax2/editar_direccion.php",
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Cargando...');
            },
            success: function(datos) {
                $("#resultados_ajax").html(datos);
                $('.actualizar_datos').attr("disabled", false);
                window.setTimeout(function() {
                    $(".alert").fadeTo(500, 0).slideUp(500, function() {
                        $(this).remove();
                    });
                }, 5000);
            }
        });
        event.preventDefault();
    });
    //FIN
    //GUARDA LOS REPRESENTANTES
    $("#editar_rep").submit(function(event) {
        $('#actualizar_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: "../ajax2/editar_representante.php",
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Cargando...');
            },
            success: function(datos) {
                $("#resultados_ajax").html(datos);
                $('#actualizar_datos').attr("disabled", false);
                load(1);
                //desaparecer la alerta
                window.setTimeout(function() {
                    $(".alert").fadeTo(200, 0).slideUp(200, function() {
                        $(this).remove();
                    });
                }, 2000);
            }
        });
        event.preventDefault();
    })
    //FIN
    //GUARDA EL FORMULARIO DE MOTIVOS
    $("#guardar_motivos").submit(function(event) {
        $('#guardar_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: '../ajax2/nuevo_motivo.php',
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Enviando...');
            },
            success: function(datos) {
                $("#resultados_ajax").html(datos);
                $('#guardar_datos').attr("disabled", false);
                load(1);
                $("#guardar_motivos")[0].reset();
                window.setTimeout(function() {
                    $(".alert").fadeTo(500, 0).slideUp(500, function() {
                        $(this).remove();
                    });
                }, 5000);
                //$('#permisos_modal').modal('hide');
            }
        });
        event.preventDefault();
    })
    //FIN
    //ACTUALIZAMOS EL FORMULARIO DE MOTIVOS
    $("#editar_motivos").submit(function(event) {
        $('#actualizar_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: '../ajax2/editar_motivo.php',
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Enviando...');
            },
            success: function(datos) {
                $("#resultados_ajax").html(datos);
                $('#actualizar_datos').attr("disabled", false);
                load(1);
                window.setTimeout(function() {
                    $(".alert").fadeTo(500, 0).slideUp(500, function() {
                        $(this).remove();
                    });
                }, 5000);
            }
        });
        event.preventDefault();
    })
    //FIN
    //GUARDA EL FORMULARIO DE ENFERMEDAD
    $("#guardar_enfermedad").submit(function(event) {
        $('#guardar_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: '../ajax2/nueva_enfermedad.php',
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Enviando...');
            },
            success: function(datos) {
                $("#resultados_ajax").html(datos);
                $('#guardar_datos').attr("disabled", false);
                load(1);
                $("#guardar_enfermedad")[0].reset();
                window.setTimeout(function() {
                    $(".alert").fadeTo(500, 0).slideUp(500, function() {
                        $(this).remove();
                    });
                }, 5000);
            }
        });
        event.preventDefault();
    })
    //FIN
    //ACTUALIZAMOS EL FORMULARIO DE PATOLOGIAS
    $("#editar_patlogia").submit(function(event) {
        $('#actualizar_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: '../ajax2/editar_patologia.php',
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Enviando...');
            },
            success: function(datos) {
                $("#resultados_ajax").html(datos);
                $('#actualizar_datos').attr("disabled", false);
                load(1);
                window.setTimeout(function() {
                    $(".alert").fadeTo(500, 0).slideUp(500, function() {
                        $(this).remove();
                    });
                }, 5000);
            }
        });
        event.preventDefault();
    })
    //FIN
    //ACTUALIZAMOS EL FORMULARIO DE REACCIONES
    $("#editar_reacciones").submit(function(event) {
        $('#actualizar_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: '../ajax2/editar_reacciones.php',
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Enviando...');
            },
            success: function(datos) {
                $("#resultados_ajax").html(datos);
                $('#actualizar_datos').attr("disabled", false);
                load(1);
                window.setTimeout(function() {
                    $(".alert").fadeTo(500, 0).slideUp(500, function() {
                        $(this).remove();
                    });
                }, 5000);
            }
        });
        event.preventDefault();
    })
    //FIN
    //ACTUALIZAMOS EL FORMULARIO DE REACCIONES
    $("#editar_antecedentes").submit(function(event) {
        $('#actualizar_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: '../ajax2/editar_antecedentes.php',
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Enviando...');
            },
            success: function(datos) {
                $("#resultados_ajax").html(datos);
                $('#actualizar_datos').attr("disabled", false);
                load(1);
                window.setTimeout(function() {
                    $(".alert").fadeTo(500, 0).slideUp(500, function() {
                        $(this).remove();
                    });
                }, 5000);
            }
        });
        event.preventDefault();
    })
    //FIN
    //ACTUALIZAMOS EL FORMULARIO DE REACCIONES
    $("#editar_antropometria").submit(function(event) {
        $('#actualizar_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: '../ajax2/editar_antropometria.php',
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Enviando...');
            },
            success: function(datos) {
                $("#resultados_ajax").html(datos);
                $('#actualizar_datos').attr("disabled", false);
                load(1);
                window.setTimeout(function() {
                    $(".alert").fadeTo(500, 0).slideUp(500, function() {
                        $(this).remove();
                    });
                }, 5000);
            }
        });
        event.preventDefault();
    })
    //FIN
    //GAURDA LAS CITAS MEDICAS
    $("#guardar_cita").submit(function(event) {
        $('.save_datos').attr("disabled", true);
        var parametros = $(this).serialize();
        $.ajax({
            type: "POST",
            url: "../ajax2/guardar_cita.php",
            data: parametros,
            beforeSend: function(objeto) {
                $("#resultados_ajax2").html('<img src="../../img/ajax-loader.gif"> Cargando...');
            },
            success: function(datos) {
                $("#resultados_ajax2").html(datos);
                $('.save_datos').attr("disabled", false);
                //resetea el formulario
                $("#guardar_cita")[0].reset();
                window.setTimeout(function() {
                    $(".alert").fadeTo(500, 0).slideUp(500, function() {
                        $(this).remove();
                    });
                }, 5000);
            }
        });
        event.preventDefault();
    });
    //FIN
    //Selecciona todos los checkbox de la Modal
    $('#all_ver').change(function() {
        var checkboxes = $(".ck");
        if ($(this).is(':checked')) {
            checkboxes.prop('checked', true);
        } else {
            checkboxes.prop('checked', false);
        }
    });

    function checked_all() {
        $('#all_ver2').change(function() {
            var checkboxes = $(".ck");
            if ($(this).is(':checked')) {
                checkboxes.prop('checked', true);
            } else {
                checkboxes.prop('checked', false);
            }
        });
    }
    $('#all_ver3').change(function() {
        var checkboxes = $(".ck");
        if ($(this).is(':checked')) {
            checkboxes.prop('checked', true);
        } else {
            checkboxes.prop('checked', false);
        }
    });
    //FIN