<?php
session_start();
include_once "../php_conexion.php";
include_once "../funciones.php";
include_once "../class_buscar.php";
include_once "class/class.php";
if ($_SESSION['tipo_user'] == 'a' or $_SESSION['tipo_user'] == 'u') {
    if (permisos($_SESSION['seguridad' . $_SESSION['cod_user']], 'Servicios', '2') == true) {
    } else {
        header('Location: ../error500.php');
    }
} else {
    header('Location: ../error500.php');
}
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
        <meta name="author" content="Coderthemes">

        <link rel="shortcut icon" href="../../assets/images/favicon_1.ico">

        <title>Ingreso de Vehículos</title>
         <!-- DataTables -->
        <link href="../../assets/plugins/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/datatables/buttons.bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/datatables/fixedHeader.bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/datatables/responsive.bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/datatables/scroller.bootstrap.min.css" rel="stylesheet" type="text/css" />

        <!-- Validaciones-->
        <link href="../../assets/plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css" rel="stylesheet" />
        <link href="../../assets/plugins/multiselect/css/multi-select.css"  rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/select2/select2.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/bootstrap-touchspin/dist/jquery.bootstrap-touchspin.min.css" rel="stylesheet" />
        <link href="../../assets/plugins/timepicker/bootstrap-timepicker.min.css" rel="stylesheet">
        <link href="../../assets/plugins/mjolnic-bootstrap-colorpicker/dist/css/bootstrap-colorpicker.min.css" rel="stylesheet">
        <link href="../../assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css" rel="stylesheet">
        <link href="../../assets/plugins/bootstrap-daterangepicker/daterangepicker.css" rel="stylesheet">
        <link href="../../assets/plugins/switchery/switchery.min.css" rel="stylesheet" />

        <!-- Generales-->
        <link href="../../assets/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/core.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/components.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/icons.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/pages.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/menu.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/responsive.css" rel="stylesheet" type="text/css" />

        <!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
        <![endif]-->

        <script src="../../assets/js/modernizr.min.js"></script>
<script>
function MM_openBrWindow(theURL,winName,features) { //v2.0
window.open(theURL,winName,features);
}
</script>

    </head>


    <body>

        <!-- Navigation Bar-->
        <header id="topnav">
            <div class="topbar-main">
                <div class="container">

                    <!-- Logo container-->
                    <div class="logo">
                         <a href="#" class="logo"><span> <?php include_once "../cabeza.php";?></span> </a>
                    </div>
                    <!-- End Logo container-->

                    <div class="menu-extras">

                        <ul class="nav navbar-nav navbar-right pull-right">
                            <li class="dropdown">
                                <a href="" class="dropdown-toggle waves-effect waves-light profile" data-toggle="dropdown" aria-expanded="true"><?php include_once "../img.php";?> </a>
                                <ul class="dropdown-menu">
                                    <li><a href="../../php_cerrar.php"><i class="md-lock-outline"></i> Salir</a></li>
                                </ul>
                            </li>
                        </ul>

                        <div class="menu-item">
                            <!-- Mobile menu toggle-->
                            <a class="navbar-toggle">
                                <div class="lines">
                                    <span></span>
                                    <span></span>
                                    <span></span>
                                </div>
                            </a>
                            <!-- End mobile menu toggle-->
                        </div>
                    </div>

                </div>
            </div>
            <!-- End topbar -->


            <!-- Navbar Start -->
            <?php include_once "../menu.php";?>
        </header>
        <!-- End Navigation Bar-->


        <!-- =======================
             ===== START PAGE ======
             ======================= -->
              <div id="nuevo" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
                <form action="" name="form1" method="post" enctype="multipart/form-data">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                            <h4 class="modal-title" align="center">Nuevo Vehículo</h4>
                                        </div>
                                        <div class="modal-body">

                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Marca</label>
                                                        <select class="form-control select2" name="descripcion" required>
                                                            <option>Seleccionar</option>
                                                                <?php
$ssx = mysqli_query($conexion, "SELECT * FROM marcas ORDER BY nombre_marca");
while ($rr = mysqli_fetch_array($ssx)) {
    if ($prov == $rr['id_marca']) {
        echo '<option value="' . $rr['id_marca'] . '" selected>' . $rr['nombre_marca'] . '</option>';
    } else {
        echo '<option value="' . $rr['id_marca'] . '">' . $rr['nombre_marca'] . '</option>';
    }
}
?>
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Modelo</label>
                                                        <select class="form-control select2" name="modelo" required>
                                                                <option>Seleccionar</option>
                                                               <?php
$ssm = mysqli_query($conexion, "SELECT * FROM modelo ORDER BY nombre_modelo");
while ($rrm = mysqli_fetch_array($ssm)) {
    if ($prov == $rrm['id_modelo']) {
        echo '<option value="' . $rrm['id_modelo'] . '" selected>' . $rrm['nombre_modelo'] . '</option>';
    } else {
        echo '<option value="' . $rrm['id_modelo'] . '">' . $rrm['nombre_modelo'] . '</option>';
    }
}
?>

                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                         <label for="field-4" class="control-label">Año</label>
                                                        <input type="text" name="anio"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();">

                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-4" class="control-label">Lote</label>
                                                        <input type="text" name="lote"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                         <label for="field-5" class="control-label">vin</label>
                                                        <input type="text" name="vin" required required class="form-control" autocomplete="off">

                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Naviera</label>
                                                        <select class="form-control select2" name="naviera" required>
                                                                <option>Seleccionar</option>
                                                               <?php
$ssx = mysqli_query($conexion, "SELECT * FROM naviera ORDER BY nombre_nav");
while ($rr = mysqli_fetch_array($ssx)) {
    if ($prov == $rr['id_nav']) {
        echo '<option value="' . $rr['id_nav'] . '" selected>' . $rr['nombre_nav'] . '</option>';
    } else {
        echo '<option value="' . $rr['id_nav'] . '">' . $rr['nombre_nav'] . '</option>';
    }
}
?>
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Subasta</label>
                                                        <select class="form-control select2" name="subasta" required>
                                                                <option>Seleccionar</option>
                                                               <?php
$ssx = mysqli_query($conexion, "SELECT * FROM subastas ORDER BY nombre_subasta");
while ($rr = mysqli_fetch_array($ssx)) {
    if ($prov == $rr['id_subasta']) {
        echo '<option value="' . $rr['id_subasta'] . '" selected>' . $rr['nombre_subasta'] . '</option>';
    } else {
        echo '<option value="' . $rr['id_subasta'] . '">' . $rr['nombre_subasta'] . '</option>';
    }
}
?>
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Aduana</label>
                                                        <select class="form-control select2" name="aduana" required>
                                                                <option>Seleccionar</option>
                                                               <?php
$ssx = mysqli_query($conexion, "SELECT * FROM aduanas ORDER BY nombre_aduana");
while ($rr = mysqli_fetch_array($ssx)) {
    if ($prov == $rr['id_aduana']) {
        echo '<option value="' . $rr['id_aduana'] . '" selected>' . $rr['nombre_aduana'] . '</option>';
    } else {
        echo '<option value="' . $rr['id_aduana'] . '">' . $rr['nombre_aduana'] . '</option>';
    }
}
?>
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-7" class="control-label">Precio Publicación $</label>
                                                        <input type="number" name="preciop" required min="0" step="any" required class="form-control" autocomplete="off">
                                                    </div>
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-8" class="control-label">Ultimo Precio $</label>
                                                        <input type="number" name="preciou" required min="0" step="any" required class="form-control" autocomplete="off">
                                                    </div>
                                                </div>

                                            </div>



                                        <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Estado</label>
                                                        <select class="form-control select2" name="estado" required>
                                                                <option value="1">Disponible</option>
                                                                 <option value="2">Reservado</option>
                                                                 <option value="3">Entregado y cancelado</option>
                                                                 <option value="4">Entregado pendiente de pago</option>
                                                                 <option value="5">Entregado pendiente parcial de pago</option>
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Link Externo</label>
                                                        <input type="text" name="link"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();">
                                                    </div>
                                                </div>
                                                <!-- <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label for="field-3" class="control-label"> Cargar Imagen</label>
                                                            <input type="file" name="imagen" class="form-control">
                                                        </div>
                                                    </div>-->
                                        </div>
                                        <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Ubicación</label>
                                                        <select class="form-control select2" name="ubicacion" required>
                                                                <option value="1">En Camino</option>
                                                                 <option value="2">Aduana</option>
                                                                 <option value="3">Entregado</option>
                                                                 <option value="4">Bodega</option>
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Liberado</label>
                                                        <select class="form-control select2" name="liberado" required>
                                                                <option value="1">Ninguna</option>
                                                                 <option value="2">Aduana</option>
                                                                 <option value="3">Sucursal</option>
                                                                  <option value="4">Bodega</option>
                                                            </select>
                                                    </div>
                                                </div>
                                        </div>
                                        <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Fecha Compra</label>
                                                        <input type="date" name="fecha"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();">
                                                    </div>
                                                </div>
                                        </div>

                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Cerrar</button>
                                            <button type="submit" class="btn btn-info waves-effect waves-light">Registrar</button>
                                        </div>
                                    </div>
                                </div>
                                </form>
                            </div><!-- /.modal -->

        <div class="wrapper">
            <div class="container">
                         <?php
if (!empty($_POST['descripcion'])) {
    $descripcion = limpiar($_POST['descripcion']);
    $modelo      = limpiar($_POST['modelo']);
    $anio        = limpiar($_POST['anio']);
    $lote        = limpiar($_POST['lote']);
    $vin         = limpiar($_POST['vin']);
    $naviera     = limpiar($_POST['naviera']);
    $subasta     = limpiar($_POST['subasta']);
    $aduana      = limpiar($_POST['aduana']);
    $preciop     = limpiar($_POST['preciop']);
    $preciou     = limpiar($_POST['preciou']);
    $estado      = limpiar($_POST['estado']);
    $link        = limpiar($_POST['link']);
    $ubicacion   = limpiar($_POST['ubicacion']);
    $liberado    = limpiar($_POST['liberado']);
    $fecha       = limpiar($_POST['fecha']);

    if (empty($_POST['id'])) {
        $oProducto = new Proceso_Producto('', $descripcion, $modelo, $anio, $lote, $vin, $naviera, $subasta, $aduana, $preciop, $preciou, $estado, $link, $ubicacion, $liberado, $fecha);
        $ssx       = mysqli_query($conexion, "SELECT vin_veh FROM vehiculo WHERE vin_veh='$vin'");
        if ($rr = mysqli_fetch_array($ssx)) {
            echo
                '<div class="alert alert-danger alert-dismissable" align="center">
                                                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                                        No se Permiten Datos Duplicados, el Actual Registro le Pertenece a <strong> </strong> Identificado con el Codigo
                                                           <strong> ' . $rr['vin_veh'] . ' </strong>
                                                    </div>';
        } else {
            $oProducto->crear();
            $ss = mysqli_query($conexion, "SELECT MAX(id_veh)as id_maximo FROM vehiculo");
            if ($rr = mysqli_fetch_array($ss)) {
                $id = $rr['id_maximo'];
            }

            echo mensajes('Vehículo "' . $descripcion . '" Creado con Exito, con codigo ' . cb($id), 'verde');
        }

    } else {
        $id        = limpiar($_POST['id']);
        $oProducto = new Proceso_Producto($id, $descripcion, $modelo, $anio, $lote, $vin, $naviera, $subasta, $aduana, $preciop, $preciou, $estado, $link, $ubicacion, $liberado, $fecha);
        $oProducto->actualizar();
        echo mensajes('Vehículo "' . $descripcion . '" Actualizado con Exito, con la ID de ' . cb($id), 'verde');
    }
    //subir la imagen del articulo
    /*$nameimagen = $_FILES['imagen']['name'];
$tmpimagen  = $_FILES['imagen']['tmp_name'];
$extimagen  = pathinfo($nameimagen);
$urlnueva1  = "../../img/vehiculos/" . $codigo . ".jpg";
if (is_uploaded_file($tmpimagen)) {
copy($tmpimagen, $urlnueva1);
echo mensajes("Se ha Actualizado la Imagen de Presentacion con Exito", "verde");
}
else {
echo mensajes("Error2 al Subir la Imagen, solo se acepta JPG", "rojo");
}*/
}
?>
            <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">
                            <h4 class="m-t-0 header-title" align="center"><b>Ingreso de Vehículos</b></h4>
                             <div align="center"><button class="btn btn-icon waves-effect waves-light btn-success m-b-5" data-toggle="modal" data-target="#nuevo" > <i class="fa fa-user-plus" ></i> Nuevo Vehículo</button></div>
                              <table width="100%" border="0">
                                  <tr>
                                    <td width="40%">
                                        <div align="right">
                                        <form method="post" action="" enctype="multipart/form-data" name="form1" id="form1">
                                          <div class="input-group">
                                                 <input class="form-control" name="bus" type="text" class="span2" size="60" list="browsers1" autocomplete="off" placeholder="Buscar" autofocus>
                                              <datalist id="browsers1">
                                                  <?php
$buscar = $_POST['bus'];
$can    = mysqli_query($conexion, "SELECT * FROM vehiculo");
while ($dato = mysqli_fetch_array($can)) {
    echo '<option value="' . $dato['lote_veh'] . '">';
}
?>
                                              </datalist>
                                            </td>
                                            <td width="20%">
                                                <button class="btn btn-icon waves-effect waves-light btn-primary m-b-5" type="submit">Buscar</button>
                                          </td>
                                          </div>
                                        </form>
                                        </div>

                                  </tr>
                                </table><br>
                            <table id="datatable-buttons" class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th>Items</th>
                                        <th>Marca</th>
                                        <th>Modelo</th>
                                        <th>Año</th>
                                        <th>Lote</th>
                                        <th>Vin</th>
                                        <!--<th>Naviera</th>
                                        <th>Subasta</th>
                                        <th>Aduana</th>
                                        <th>Precio Publicación</th>
                                        <th>Ultimo Precio </th>-->
                                        <th>Estado</th>
                                        <th>Ubicacion</th>
                                        <th>Liberado</th>
                                        <th></th>
                                        <th></th>

                                    </tr>
                                </thead>

                                <tbody>
                                    <?php
if (empty($_POST['bus'])) {
    $ss = mysqli_query($conexion, "SELECT * FROM vehiculo ORDER BY descripcion_veh asc LIMIT 10");
} else {
    $buscar = $_POST['bus'];
    $ss     = mysqli_query($conexion, "SELECT * FROM vehiculo where lote_veh LIKE '$buscar%' or vin_veh LIKE '$buscar%' or id_veh LIKE '$buscar%'");
}
while ($rr = mysqli_fetch_array($ss)) {

    $omodelo   = new consultar_modelo($rr[2]);
    $omarca    = new consultar_marca($rr[1]);
    $onaviera  = new consultar_naviera($rr[6]);
    $osubasta  = new consultar_subasta($rr[7]);
    $oaduana   = new consultar_aduana($rr[8]);
    $ubicacion = $rr['ubicacion'];
    $liberado  = $rr['liberacion'];
    if ($ubicacion == 1) {
        $ub = 'En Camino';
    } else if ($ubicacion == 2) {
        $ub = 'Aduana';
    } else if ($ubicacion == 3) {
        $ub = 'Entrgado';
    } else {
        $ub = 'Bodega';
    }

    if ($liberado == 1) {
        $lib = 'Ninguna';
    } else if ($liberado == 2) {
        $lib = 'Aduana';
    } else if ($liberado == 3) {
        $lib = 'Sucursal';
    } else {
        $lib = 'Bodega';
    }

    ?>
                                    <tr>
                                        <td><?php echo $rr[0]; ?></td>
                                        <td><?php echo $omarca->consultar('nombre_marca'); ?></td>
                                        <td><?php echo $omodelo->consultar('nombre_modelo'); ?></td>
                                        <td><?php echo $rr[3]; ?></td>
                                        <td><?php echo $rr[4]; ?></td>
                                        <td><?php echo $rr[5]; ?></td>

                                        <!--<td><?php echo $onaviera->consultar('nombre_nav'); ?></td>
                                        <td><?php echo $osubasta->consultar('nombre_subasta'); ?></td>
                                        <td><?php echo $oaduana->consultar('nombre_aduana'); ?></td>

                                        <td align="center"><strong><?php echo $s . formato($rr[9]); ?></strong></td>
                                        <td align="center"><strong><?php echo $s . formato($rr[10]); ?></strong></td> -->
                                        <td align="center"><?php echo estado3($rr[11]); ?></td>
                                        <td align="center"><?php echo $ub; ?></td>
                                        <td align="center"><?php echo $lib; ?></td>
                                        <td align="center">
                                            <div  class="btn-group btn-group m-b-10">

                                                        <a href="#perfil<?php echo $rr[0]; ?>" class="btn btn-danger btn-sm waves-effect waves-light" role="button" onclick="MM_openBrWindow('<?php echo $rr[12]; ?>','','toolbar=yes, scrollbars=yes,resizable=yes,width=900,height=900')"> <i class="fa fa-picture-o" aria-hidden="true"></i> Foto</a>
                                                    </div></td>
                                        <td align="center">
                                            <div  class="btn-group btn-group m-b-10">
                                                    <a href="#detalle<?php echo $rr[0]; ?>" class="btn btn-primary btn-sm waves-effect waves-light" role="button" data-toggle="modal"> <i class="fa fa-search"></i> Detalle</a>
                                                </div>
                                                <div  class="btn-group btn-group m-b-10">
                                                    <a href="#editar<?php echo $rr[0]; ?>" class="btn btn-primary btn-sm waves-effect waves-light" role="button" data-toggle="modal"> <i class="fa  fa-pencil-square-o"></i> Editar</a>
                                                </div>

                                        </td>
                                    </tr>
                                    <!--  Modals Foto-->
                                        <div class="modal fade" id="perfil<?php echo $rr[0]; ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                            <form name="form1" method="post" enctype="multipart/form-data" action="">
                                                <input type="hidden" name="id" value="<?php echo $rr[0]; ?>">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div style="font-size: 10px;"  class="alert alert-success fade in 10px;padding: 10px;" >
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                                            <h3 align="center" class="modal-title" id="myModalLabel"><strong><?php echo $rr['nombre']; ?></strong></h3>
                                                        </div>
                                                        <div class="panel-body">
                                                            <div class="row">
                                                                <div class="col-md-12" align="center">
                                                                    <?php
if (file_exists("../../img/vehiculos/" . $rr['codigo'] . ".jpg")) {
        echo '<img src="../../img/vehiculos/' . $rr['codigo'] . '.jpg" width="400px" height="350px" class="img-polaroid">';
    } else {
        echo '<img src="../../img/vehiculos/default.png" width="150px" height="150px" class="img-polaroid">';
    }
    ?>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                        <!-- End Modals-->
                                    <!--  Modals detalle-->
                                        <div class="modal fade" id="detalle<?php echo $rr[0]; ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                            <form name="form1" method="post" enctype="multipart/form-data" action="">
                                                <input type="hidden" name="id" value="<?php echo $rr[0]; ?>">                                           
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div style="font-size: 10px;"  class="alert alert-success fade in 10px;padding: 10px;" >
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                                            <h3 align="center" class="modal-title" id="myModalLabel"><strong>Detalle Vehículo</strong></h3>
                                                        </div>
                                                        <div class="panel-body">

                                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Marca</label>
                                                          <input type="text" name="marca"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo $omarca->consultar('nombre_marca'); ?>" disabled="true">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Modelo</label>
                                                        <input type="text" name="modelo"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo $omodelo->consultar('nombre_modelo'); ?>" disabled="true">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                         <label for="field-4" class="control-label">Año</label>
                                                        <input type="text" name="anio"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo $rr[3]; ?>" disabled="true">
                                                   
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-4" class="control-label">Lote</label>
                                                        <input type="text" name="lote"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo $rr[4]; ?>" disabled="true">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                         <label for="field-5" class="control-label">vin</label>
                                                        <input type="text" name="vin" required required class="form-control" autocomplete="off" value="<?php echo $rr[5]; ?>" disabled="true" >
                                                   
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Naviera</label>
                                                        <input type="text" name="naviera" required required class="form-control" autocomplete="off" value="<?php echo $onaviera->consultar('nombre_nav'); ?>" disabled="true" >
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Subasta</label>
                                                        <input type="text" name="subasta" required required class="form-control" autocomplete="off" value="<?php echo $osubasta->consultar('nombre_subasta'); ?>" disabled="true" >
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Aduana</label>
                                                        <input type="text" name="aduana" required required class="form-control" autocomplete="off" value="<?php echo $oaduana->consultar('nombre_aduana'); ?>" disabled="true" >
                                                        
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-7" class="control-label">Precio Publicación $</label>
                                                        <input type="number" name="preciop" required min="0" step="any" required class="form-control" autocomplete="off" value="<?php echo $rr[9]; ?>" disabled="true">
                                                    </div>
                                                </div>
                                                
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-8" class="control-label">Ultimo Precio $</label>
                                                        <input type="number" name="preciou" required min="0" step="any" required class="form-control" autocomplete="off" value="<?php echo $rr[10]; ?>" disabled="true">
                                                    </div>
                                                </div>
                                                
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                                            <div class="form-group">
                                                                                <label for="field-2" class="control-label">Estado</label>
                                                    
                                                                                <select class="form-control select2" name="estado" disabled="true">                                               
                                                                                         <option value="1" <?php if($rr[11]==1){ echo 'selected'; }?>>Disponible</option>
                                                                                         <option value="2" <?php if($rr[11]==2){ echo 'selected'; }?>>Reservado</option>
                                                                                         <option value="3" <?php if($rr[11]==3){ echo 'selected'; }?>>Entregado y cancelado</option>
                                                                                         <option value="4" <?php if($rr[11]==4){ echo 'selected'; }?>>Entregado pendiente de pago</option>
                                                                                         <option value="5" <?php if($rr[11]==5){ echo 'selected'; }?>>Entregado pendiente parcial de pago</option>                                                    
                                                                                    </select>
                                                                            </div>
                                                                        </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Link Externo</label>
                                                        <input type="text" name="link"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo $rr[12]; ?>" disabled="true">
                                                    </div>
                                                </div>
                                                <!-- <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label for="field-3" class="control-label"> Cargar Imagen</label>
                                                            <input type="file" name="imagen" class="form-control">
                                                        </div>
                                                    </div>-->
                                        </div>
                                        <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Ubicación</label>
                                                        <input type="text" name="ubicacion" required required class="form-control" autocomplete="off" value="<?php echo $ub; ?>" disabled="true" >
                                                        
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Liberado</label>
                                                        <input type="text" name="liberado" required required class="form-control" autocomplete="off" value="<?php echo $lib; ?>" disabled="true" >
                                                        
                                                    </div>
                                                </div>
                                        </div>
                                        <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Fecha Compra</label>
                                                        <input type="date" name="fecha"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo $rr[15]; ?>" disabled="true">
                                                    </div>
                                                </div>
                                        </div>
                                        
                                                        </div> 
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                                        </div>                                       
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                        <!-- End Modals--> 
                                        <!--  Modals Actualizar-->
                                        <div class="modal fade" id="editar<?php echo $rr[0]; ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                            <form name="form1" method="post" enctype="multipart/form-data" action="">
                                                <input type="hidden" name="id" value="<?php echo $rr[0]; ?>">                                           
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div style="font-size: 10px;"  class="alert alert-success fade in 10px;padding: 10px;" >
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                                            <h3 align="center" class="modal-title" id="myModalLabel"><strong>Editar Vehículo</strong></h3>
                                                        </div>
                                                        <div class="panel-body">

                                                             <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Marca</label>
                                                          <select class="form-control select2" name="descripcion" required >
                                                                <option>Seleccionar</option>
                                                               <?php 
                                                                    $ssx=mysqli_query($conexion,"SELECT * FROM marcas ORDER BY nombre_marca");
                                                                        while($rrm=mysqli_fetch_array($ssx)){
                                                                            if($rr[1]==$rrm['id_marca']){
                                                                                echo '<option value="'.$rrm['id_marca'].'" selected>'.$rrm['nombre_marca'].'</option>';
                                                                            }else{
                                                                                echo '<option value="'.$rrm['id_marca'].'">'.$rrm['nombre_marca'].'</option>';
                                                                             }
                                                                             }
                                                                ?>                                                    
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Modelo</label>
                                                        <select class="form-control select2" name="modelo" required >
                                                              

                                                                <option>Seleccionar</option>
                                                               <?php 
                                                                    $ssm=mysqli_query($conexion,"SELECT * FROM modelo ORDER BY nombre_modelo");
                                                                        while($rrm=mysqli_fetch_array($ssm)){
                                                                            if($rr[2]==$rrm['id_modelo']){
                                                                                echo '<option value="'.$rrm['id_modelo'].'" selected>'.$rrm['nombre_modelo'].'</option>';
                                                                            }else{
                                                                                echo '<option value="'.$rrm['id_modelo'].'">'.$rrm['nombre_modelo'].'</option>';
                                                                             }
                                                                             }
                                                                ?>                                                    
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                         <label for="field-4" class="control-label">Año</label>
                                                        <input type="text" name="anio"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo $rr[3]; ?>" >
                                                   
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-4" class="control-label">Lote</label>
                                                        <input type="text" name="lote"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo $rr[4]; ?>" >
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                         <label for="field-5" class="control-label">vin</label>
                                                        <input type="text" name="vin" required required class="form-control" autocomplete="off" value="<?php echo $rr[5]; ?>" >
                                                   
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Naviera</label>
                                                        <select class="form-control select2" name="naviera" required >
                                                                <option>Seleccionar</option>
                                                               <?php 
                                                                    $ssx=mysqli_query($conexion,"SELECT * FROM naviera ORDER BY nombre_nav");
                                                                        while($rrn=mysqli_fetch_array($ssx)){
                                                                            if($rr[6]==$rrn['id_nav']){
                                                                                echo '<option value="'.$rrn['id_nav'].'" selected>'.$rrn['nombre_nav'].'</option>';
                                                                            }else{
                                                                                echo '<option value="'.$rrn['id_nav'].'">'.$rrn['nombre_nav'].'</option>';
                                                                             }
                                                                             }
                                                                ?>                                                   
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Subasta</label>
                                                        <select class="form-control select2" name="subasta" required >
                                                                <option>Seleccionar</option>
                                                               <?php 
                                                                    $ssx=mysqli_query($conexion,"SELECT * FROM subastas ORDER BY nombre_subasta");
                                                                        while($rrs=mysqli_fetch_array($ssx)){
                                                                            if($rr[7]==$rrs['id_subasta']){
                                                                                echo '<option value="'.$rrs['id_subasta'].'" selected>'.$rrs['nombre_subasta'].'</option>';
                                                                            }else{
                                                                                echo '<option value="'.$rrs['id_subasta'].'">'.$rrs['nombre_subasta'].'</option>';
                                                                             }
                                                                             }
                                                                ?>                                                   
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-9" class="control-label">Aduana</label>
                                                        <select class="form-control select2" name="aduana" required >
                                                                <option>Seleccionar</option>
                                                               <?php 
                                                                    $ssx=mysqli_query($conexion,"SELECT * FROM aduanas ORDER BY nombre_aduana");
                                                                        while($rra=mysqli_fetch_array($ssx)){
                                                                            if($rr[8]==$rra['id_aduana']){
                                                                                echo '<option value="'.$rra['id_aduana'].'" selected>'.$rra['nombre_aduana'].'</option>';
                                                                            }else{
                                                                                echo '<option value="'.$rra['id_aduana'].'">'.$rra['nombre_aduana'].'</option>';
                                                                             }
                                                                             }
                                                                ?>                                                   
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-7" class="control-label">Precio Publicación $</label>
                                                        <input type="number" name="preciop" required min="0" step="any" required class="form-control" autocomplete="off" value="<?php echo $rr[9]; ?>" >
                                                    </div>
                                                </div>
                                                
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-8" class="control-label">Ultimo Precio $</label>
                                                        <input type="number" name="preciou" required min="0" step="any" required class="form-control" autocomplete="off" value="<?php echo $rr[10]; ?>" >
                                                    </div>
                                                </div>
                                                
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                        <div class="form-group">
                            <label for="field-2" class="control-label">Estado</label>
                            <select class="form-control select2" name="estado"  >                                               
                                     <option value="1" <?php if($rr[11]==1){ echo 'selected'; }?>>Disponible</option>
                                     <option value="2" <?php if($rr[11]==2){ echo 'selected'; }?>>Reservado</option>
                                     <option value="3" <?php if($rr[11]==3){ echo 'selected'; }?>>Entregado y cancelado</option>
                                     <option value="4" <?php if($rr[11]==4){ echo 'selected'; }?>>Entregado pendiente de pago</option>
                                     <option value="5" <?php if($rr[11]==5){ echo 'selected'; }?>>Entregado pendiente parcial de pago</option>                                                    
                                </select>
                        </div>
                    </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Link Externo</label>
                                                        <input type="text" name="link"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo $rr[12]; ?>" >
                                                    </div>
                                                </div>
                                                <!-- <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label for="field-3" class="control-label"> Cargar Imagen</label>
                                                            <input type="file" name="imagen" class="form-control">
                                                        </div>
                                                    </div>-->
                                        </div>
                                        <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Ubicación</label>
                                                        <select class="form-control select2" name="ubicacion" required>       
                                        <option value="1" <?php if ($ubicacion == '1') {echo 'selected';}?>>En Camino</option>
                                        <option value="2" <?php if ($ubicacion == '2') {echo 'selected';}?>>Aduana</option>
                                        <option value="3" <?php if ($ubicacion == '3') {echo 'selected';}?>>Entregado</option>
                                        <option value="4" <?php if ($ubicacion == '4') {echo 'selected';}?>>Bodega</option>
                                                            </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Liberado</label>
                                                        <select class="form-control select2" name="liberado" required>    
                                        <option value="1" <?php if ($liberado == '1') {echo 'selected';}?>>Ninguna</option>
                                        <option value="2" <?php if ($liberado == '2') {echo 'selected';}?>>Aduana</option>
                                        <option value="3" <?php if ($liberado == '3') {echo 'selected';}?>>Sucursal</option>
                                        <option value="4" <?php if ($liberado == '4') {echo 'selected';}?>>Bodega</option>
                                                            </select>
                                                    </div>
                                                </div>
                                        </div>
                                        <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="field-2" class="control-label">Fecha Compra</label>
                                                        <input type="date" name="fecha"  required class="form-control" autocomplete="off" onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo $rr[15]; ?>" >
                                                    </div>
                                                </div>
                                        </div>

                                                        </div> 
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                                            <button type="submit" class="btn btn-primary">Guardar</button>
                                                        </div>                                       
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                        <!-- End Modals-->   


                                     <?php }?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>


                <!-- Footer -->
                 <?php include_once "../pie.php";?>
                <!-- End Footer -->

            </div> <!-- end container -->
        </div>
        <!-- End wrapper -->



        <!-- jQuery  -->
        <script src="../../assets/js/jquery.min.js"></script>
        <script src="../../assets/js/bootstrap.min.js"></script>
        <script src="../../assets/js/detect.js"></script>
        <script src="../../assets/js/fastclick.js"></script>
        <script src="../../assets/js/jquery.blockUI.js"></script>
        <script src="../../assets/js/waves.js"></script>
        <script src="../../assets/js/wow.min.js"></script>
        <script src="../../assets/js/jquery.nicescroll.js"></script>
        <script src="../../assets/js/jquery.scrollTo.min.js"></script>

        <!-- Datatables-->
        <script src="../../assets/plugins/datatables/jquery.dataTables.min.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.bootstrap.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.buttons.min.js"></script>
        <script src="../../assets/plugins/datatables/buttons.bootstrap.min.js"></script>
        <script src="../../assets/plugins/datatables/jszip.min.js"></script>
        <script src="../../assets/plugins/datatables/pdfmake.min.js"></script>
        <script src="../../assets/plugins/datatables/vfs_fonts.js"></script>
        <script src="../../assets/plugins/datatables/buttons.html5.min.js"></script>
        <script src="../../assets/plugins/datatables/buttons.print.min.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.fixedHeader.min.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.keyTable.min.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.responsive.min.js"></script>
        <script src="../../assets/plugins/datatables/responsive.bootstrap.min.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.scroller.min.js"></script>

        <!-- Validaciones-->
        <script src="../../assets/plugins/switchery/switchery.min.js"></script>
        <script src="../../assets/plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js"></script>
        <script type="../../text/javascript" src="assets/plugins/multiselect/js/jquery.multi-select.js"></script>
        <script type="../../text/javascript" src="assets/plugins/jquery-quicksearch/jquery.quicksearch.js"></script>
        <script src="../../assets/plugins/select2/select2.min.js" type="text/javascript"></script>
        <script src="../../assets/plugins/bootstrap-touchspin/dist/jquery.bootstrap-touchspin.min.js" type="text/javascript"></script>
        <script src="../../assets/plugins/bootstrap-inputmask/bootstrap-inputmask.min.js" type="text/javascript"></script>


        <!-- Datatable init js -->
        <script src="../../assets/pages/datatables.init.js"></script>

        <!-- Custom main Js -->
        <script src="../../assets/js/jquery.core.js"></script>
        <script src="../../assets/js/jquery.app.js"></script>

        <script type="text/javascript">
            $(document).ready(function() {
                $('#datatable').dataTable();
                $('#datatable-keytable').DataTable( { keys: true } );
                $('#datatable-responsive').DataTable();
                $('#datatable-scroller').DataTable( { ajax: "../../assets/plugins/datatables/json/scroller-demo.json", deferRender: true, scrollY: 380, scrollCollapse: true, scroller: true } );
                var table = $('#datatable-fixed-header').DataTable( { fixedHeader: true } );
            } );
            TableManageButtons.init();

        </script>
         <script>
            jQuery(document).ready(function() {

                // Select2
                $(".select2").select2();

                $(".select2-limiting").select2({
                  maximumSelectionLength: 2
                });

                });

            </script>


    </body>
</html>
