<?php 
    session_start();
    include_once "../php_conexion.php";
    include_once "../funciones.php";
    include_once "../class_buscar.php";
    include_once "class/class.php";
    if ($_SESSION['tipo_user'] == 'a' or $_SESSION['tipo_user'] == 'u') {
		if (permisos($_SESSION['seguridad' . $_SESSION['cod_user']], 'Servicios', '2') == true) {
			} else {
			header('Location: ../error500.php');
		}
		} else {
		header('Location: ../error500.php');
	}
    $fecha=date('Y-m-d');
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
        <meta name="author" content="Coderthemes">
        <link rel="shortcut icon" href="../../assets/images/favicon_1.ico">
        <title>Vehículos Ocupados</title>
         <!-- DataTables -->
        <link href="../../assets/plugins/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/datatables/buttons.bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/datatables/fixedHeader.bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/datatables/responsive.bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/datatables/scroller.bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- Validaciones-->
        <link href="../../assets/plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css" rel="stylesheet" />
        <link href="../../assets/plugins/multiselect/css/multi-select.css"  rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/select2/select2.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/plugins/bootstrap-touchspin/dist/jquery.bootstrap-touchspin.min.css" rel="stylesheet" />
        <link href="../../assets/plugins/timepicker/bootstrap-timepicker.min.css" rel="stylesheet">
        <link href="../../assets/plugins/mjolnic-bootstrap-colorpicker/dist/css/bootstrap-colorpicker.min.css" rel="stylesheet">
        <link href="../../assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css" rel="stylesheet">
        <link href="../../assets/plugins/bootstrap-daterangepicker/daterangepicker.css" rel="stylesheet">
        <link href="../../assets/plugins/switchery/switchery.min.css" rel="stylesheet" />
        <!-- Generales-->
        <link href="../../assets/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/core.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/components.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/icons.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/pages.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/menu.css" rel="stylesheet" type="text/css" />
        <link href="../../assets/css/responsive.css" rel="stylesheet" type="text/css" />
        <!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
        <![endif]-->
        <script src="../../assets/js/modernizr.min.js"></script>
    </head>
    <body>
        <!-- Navigation Bar-->
        <header id="topnav">
            <div class="topbar-main">
                <div class="container">
                    <!-- Logo container-->
                    <div class="logo">
                         <a href="#" class="logo"><span> <?php include_once "../cabeza.php"; ?></span> </a>
                    </div>
                    <!-- End Logo container-->
                    <div class="menu-extras">
                        <ul class="nav navbar-nav navbar-right pull-right">                           
                            <li class="dropdown">
                                <a href="" class="dropdown-toggle waves-effect waves-light profile" data-toggle="dropdown" aria-expanded="true"><?php include_once "../img.php"; ?> </a>
                                <ul class="dropdown-menu">           
                                    <li><a href="../../php_cerrar.php"><i class="md-lock-outline"></i> Salir</a></li>
                                </ul>
                            </li>
                        </ul>
                        <div class="menu-item">
                            <!-- Mobile menu toggle-->
                            <a class="navbar-toggle">
                                <div class="lines">
                                    <span></span>
                                    <span></span>
                                    <span></span>
                                </div>
                            </a>
                            <!-- End mobile menu toggle-->
                        </div>
                    </div>
                </div>
            </div>
            <!-- End topbar -->
            <!-- Navbar Start -->
            <?php include_once "../menu.php"; ?>
        </header>
        <!-- End Navigation Bar-->
        <!-- =======================
             ===== START PAGE ======
             ======================= -->
        <div class="wrapper">
            <div class="container">
                         <?php
                                 if(!empty($_POST['id'])){
                                            $id=limpiar($_POST['id']);
                                            $status=limpiar($_POST['status']);                      
                                            mysqli_query($conexion,"UPDATE producto SET dep='',status='$status',cliente_tmp='',fech_entrega='',fecha_in='',hora='' WHERE id='$id' ");                                                                                                                                                       
                                            echo mensajes('Vehículo Entregado con Exito','verde');
                                    }
                            ?>                                      
            <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">
                            <h4 class="m-t-0 header-title" align="center"><b>Vehículos Ocupados</b></h4>
                            <table id="datatable-buttons" class="table table-striped">
                                <thead>
                                    <tr>                                       
                                        <!--<th>Codigo</th>-->
                                        <th>Cliente</th>
                                        <th>Telefono</th>
                                        <th>Vehiculo</th>                                      
                                        <th>Placa</th>
                                        <th>Año</th>
                                        <th>Color</th>
										<th>Dias</th> 
                                        <th>Salida</th>                                                                                                                 
                                        <th>Entrega</th>                                                                                                                 
                                        <th>Deposito</th>                                                                                                                 
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                        $ss=mysqli_query($conexion,"SELECT * FROM producto WHERE status ='OCUPADA'");
                                        while($rr=mysqli_fetch_array($ss)){											
                                            $estado=$rr['estado'];
                                            $iva=$rr['iva'];
                                            $dep=$rr['dep'];
                                            $control=$rr['control'];
											$fech_entrega=$rr['fech_entrega'];
                                            $fecha_in=$rr['fecha_in'];
											$segundos=strtotime($fech_entrega) - strtotime($fecha_in);
											$diferencia_dias=intval($segundos/60/60/24);
                                            //$npersona=$rr['npersona'];
                                            $valor=$rr['valor'];
                                            $cat=$rr['categoria'];
                                            $oTipo=new Consultar_Categoria($rr['categoria']);
											$fecha_in=$rr['fecha_in'];
                                            if ($rr['fech_entrega'] == $fecha) {
                                                $color='success';
                                                           }
														   elseif ($rr['fech_entrega'] < $fecha) {
                                                $color='danger';
                                                           }
                                            else
                                            {
                                                $color='';
                                            }
											if($rr['control']=='s'){
												$control='DIAS';
												$hora=$rr['hora'];
											}
											else{
												$control='HORAS';
												$hora=$rr['hora'];
											}											
											?>
                                    <tr class="<?php echo $color; ?>">                                       
                                        <!--<td><?php echo $rr['codigo']; ?></td>-->                                        
                                        <td><?php echo consultar('nom','cliente',"id='".$rr['cliente_tmp']."'"); ?></td>
                                        <td><?php echo consultar('cel','cliente',"id='".$rr['cliente_tmp']."'"); ?></td>										 
                                        <td><?php echo $rr['nombre']; ?></td>
                                        <td><?php echo $rr['nplaca']; ?></td>
                                        <td><?php echo $rr['ano']; ?></td>
                                        <td><?php echo $rr['color']; ?></td>
                               			<td><?php echo $diferencia_dias; ?></strong></td>
                                        <td><?php echo fecha($rr['fecha_in']); ?></td>                                    
                                        <td><?php echo fecha($rr['fech_entrega']).' '.$hora; ?></td>  
										 <td><?php echo $rr['dep']; ?></td>
                                        <td align="center">
                                                <div  class="btn-group btn-group m-b-10">
                                                    <a href="#editar<?php echo $rr['id']; ?>" class="btn btn-primary btn-xs waves-effect waves-light" role="button" data-toggle="modal"> <i class="fa  fa-pencil-square-o"></i> Recibido</a>
                                                </div>
                                            <?php 
                                                if(permisos($_SESSION['seguridad'.$_SESSION['cod_user']],'Productos','4')==true){
                                                    if($rr['inv']==''){
                                                ?>                                       
                                            <?php }} ?>
                                        </td>
                                    </tr>
                                    <div id="editar<?php echo $rr['id']; ?>" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
                                    <form action="" name="form1" method="post">
                                    <input type="hidden" name="id" value="<?php echo $rr['id']; ?>">
                                    <input type="hidden" name="status" value="">
                                                    <div class="modal-dialog">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                                <h4 class="modal-title" align="center">DAR DE ALTA VEHÍCULO</h4>
                                                            </div>
                                                            <div class="modal-body">
                                                               <div class="row" align="center">                                       
                                                                <div class="alert alert-danger">
                                                                    <h4>¿Esta Seguro de Realizar esta Acción?</h4> 
                                                                </div>                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                            </div>                                                                                      
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Cerrar</button>
                                                                <button type="submit" class="btn btn-info waves-effect waves-light">Proceder</button>
                                                            </div>                                  
                                                        </div>
                                                    </div>
                                                    </form>
                                                </div><!-- /.modal -->                       
                                     <?php } ?>                                                               
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <!-- Footer -->
                 <?php include_once "../pie.php"; ?>
                <!-- End Footer -->
            </div>
			<!-- end container -->
        </div>
        <!-- End wrapper -->
        <!-- jQuery  -->
        <script src="../../assets/js/jquery.min.js"></script>
        <script src="../../assets/js/bootstrap.min.js"></script>
        <script src="../../assets/js/detect.js"></script>
        <script src="../../assets/js/fastclick.js"></script>
        <script src="../../assets/js/jquery.blockUI.js"></script>
        <script src="../../assets/js/waves.js"></script>
        <script src="../../assets/js/wow.min.js"></script>
        <script src="../../assets/js/jquery.nicescroll.js"></script>
        <script src="../../assets/js/jquery.scrollTo.min.js"></script>
        <!-- Datatables-->
        <script src="../../assets/plugins/datatables/jquery.dataTables.min.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.bootstrap.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.buttons.min.js"></script>
        <script src="../../assets/plugins/datatables/buttons.bootstrap.min.js"></script>
        <script src="../../assets/plugins/datatables/jszip.min.js"></script>
        <script src="../../assets/plugins/datatables/pdfmake.min.js"></script>
        <script src="../../assets/plugins/datatables/vfs_fonts.js"></script>
        <script src="../../assets/plugins/datatables/buttons.html5.min.js"></script>
        <script src="../../assets/plugins/datatables/buttons.print.min.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.fixedHeader.min.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.keyTable.min.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.responsive.min.js"></script>
        <script src="../../assets/plugins/datatables/responsive.bootstrap.min.js"></script>
        <script src="../../assets/plugins/datatables/dataTables.scroller.min.js"></script>
        <!-- Validaciones-->
        <script src="../../assets/plugins/switchery/switchery.min.js"></script>
        <script src="../../assets/plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js"></script>
        <script type="../../text/javascript" src="assets/plugins/multiselect/js/jquery.multi-select.js"></script>
        <script type="../../text/javascript" src="assets/plugins/jquery-quicksearch/jquery.quicksearch.js"></script>
        <script src="../../assets/plugins/select2/select2.min.js" type="text/javascript"></script>
        <script src="../../assets/plugins/bootstrap-touchspin/dist/jquery.bootstrap-touchspin.min.js" type="text/javascript"></script>
        <script src="../../assets/plugins/bootstrap-inputmask/bootstrap-inputmask.min.js" type="text/javascript"></script>
        <!-- Datatable init js -->
        <script src="../../assets/pages/datatables.init.js"></script>
        <!-- Custom main Js -->
        <script src="../../assets/js/jquery.core.js"></script>
        <script src="../../assets/js/jquery.app.js"></script>     
        <script type="text/javascript">
            $(document).ready(function() {
                $('#datatable').dataTable();
                $('#datatable-keytable').DataTable( { keys: true } );
                $('#datatable-responsive').DataTable();
                $('#datatable-scroller').DataTable( { ajax: "../../assets/plugins/datatables/json/scroller-demo.json", deferRender: true, scrollY: 380, scrollCollapse: true, scroller: true } );
                var table = $('#datatable-fixed-header').DataTable( { fixedHeader: true } );
            } );
            TableManageButtons.init();
        </script>
         <script>
            jQuery(document).ready(function() {
                // Select2
                $(".select2").select2();
                $(".select2-limiting").select2({
                  maximumSelectionLength: 2
                });
                });               
            </script>
    </body>
</html>