<?php
session_start();
$usuario = $_SESSION['cod_user'];
/*Inicia validacion del lado del servidor*/
if (empty($_POST['id_factura'])) {
    $errors[] = "Factura vacía";
} else if (!empty($_POST['id_factura'])) {
    /* Connect To Database*/
    //require_once "../db.php";
    require_once "../php_conexion.php";
    include_once "../funciones.php";
    include_once "../class_buscar.php";
    //Control de la  numero_fatura y aumentamos una
    // fin de numero de fatura
    $total      = 0;
    $desc_total = 0;
    $importe    = 0;
    // escaping, additionally removing everything that could be (html/javascript-) code
    $fecha = mysqli_real_escape_string($conexion, (strip_tags($_POST["fecha"], ENT_QUOTES)));
    $dir   = mysqli_real_escape_string($conexion, (strip_tags($_POST["dir"], ENT_QUOTES)));
    //$adelanto         = mysqli_real_escape_string($conexion, (strip_tags($_POST["adelanto"], ENT_QUOTES)));
    $id_factura = intval($_POST['id_factura']);
    $estado     = intval($_POST['estado']);
    $fechar     = mysqli_real_escape_string($conexion, (strip_tags($_POST["fechar"], ENT_QUOTES)));
    $id_cliente = intval($_POST['id_cliente']);
    $id_veh     = intval($_POST['id_vehiculo']);
    $monto      = floatval($_POST['monto']);
    $cargo      = floatval($_POST['cargo']);
    $desc       = intval($_POST['desc']);
    $tipo       = intval($_POST['tipo']);
    $concepto   = intval($_POST['concepto']);
    $date_added = date("Y-m-d");
    $time_added = date("H:i:s");
    $desuento   = $desc / 100;
    $total      = $monto + $cargo;
    $desc_total = $total * $desuento;
    $importe    = $total - $desc_total;

    $ocliente   = new consultar_Cliente($id_cliente);
    $oveh       = new consultar_vehiculo($id_veh);
    $omarca     = new consultar_marca($oveh->consultar('modelo_veh'));
    $omodelo    = new consultar_modelo($oveh->consultar('descripcion_veh'));
    $oprecioveh = $oveh->consultar('preciop_veh');

    if ($concepto == 2) {
        $sql_cont = "UPDATE contable SET
                                    concepto1='" . $id_cliente . "',
                                    valor='" . $oprecioveh . "'
                                    WHERE factura_id='" . $id_factura . "'";
        $update = mysqli_query($conexion, $sql_cont);

        if ($monto != 0) {
            $sql_ab  = "UPDATE abono SET valor='" . $monto . "' WHERE cuenta='" . $id_factura . "'";
            $updatee = mysqli_query($conexion, $sql_ab);

            $sql_c   = "UPDATE contable SET valor='" . $monto . "' WHERE factura_id='$id_factura' and tipo='ENTRADA'";
            $updatec = mysqli_query($conexion, $sql_c);

        }

    }

    $sql = "UPDATE factura_pago SET
                                    metodopago='" . $concepto . "',
                                    tipo='" . $tipo . "',
                                    valor='" . $monto . "',
                                    vehiculo_id='" . $id_veh . "',
                                    cliente_id='" . $id_cliente . "',
                                    fecha_orden='" . $fecha . "',
                                    fecha_reserva='" . $fechar . "',
                                    estado_orden='" . $estado . "',
                                    cargo='" . $cargo . "',
                                    descuento='" . $desc . "',
                                    importe='" . $importe . "'
                                    WHERE id='" . $id_factura . "'";
    $query_update = mysqli_query($conexion, $sql);

    if ($query_update) {
        $messages[] = "factura ha sido ingresado con Exito.";
        echo "<script>
        $('#modal_info').modal('show');
        </script>";

    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }

} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
    <div class="alert alert-danger" role="alert">
     <strong>Error!</strong>
     <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
</div>
<?php
}
if (isset($messages)) {

    ?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
    </div>
    <?php
}

?>
<!-- Modal -->
<div class="modal fade" id="modal_infox" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><i class='fa fa-edit'></i>DETALLE DE ORDEN No: <?php echo $factura; ?></h4>
            </div>
            <div class="modal-body" align="center">
                <div class="alert alert-default" align="center">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="field-1" class="control-label">Cliente</label>
                                <input type="text" name="cod" required  class="form-control" autocomplete="off" disabled="true" value="<?php echo $ocliente->consultar('nom'); ?>" style="border-radius: 5px; border: 1px solid #39c">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="field-2" class="control-label">Marca Vehiculo</label>
                                <input type="text" name="lic" required class="form-control" autocomplete="off" disabled="true" value="<?php echo $omarca->consultar('nombre_marca'); ?>" style="border-radius: 5px; border: 1px solid #39c">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="field-2" class="control-label">Modelo Vehiculo</label>
                                <input type="text" name="lic" required class="form-control" autocomplete="off" disabled="true" value="<?php echo $omodelo->consultar('nombre_modelo'); ?>" style="border-radius: 5px; border: 1px solid #39c">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="field-2" class="control-label">VIN vehiculo</label>
                                <input type="text" name="lic" required class="form-control" autocomplete="off" disabled="true" value="<?php echo $oveh->consultar('vin_veh'); ?>" style="border-radius: 5px; border: 1px solid #39c">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label for="field-2" class="control-label">Concepto de Pago</label>
                            <select class="form-control select2" name="estado" disabled="true" style="border-radius: 5px; border: 1px solid #39c" >
                            <option value="1" <?php if ($concepto == 1) {echo 'selected';}?>>Cancelacion de Vehiculo</option>
                            <option value="2" <?php if ($concepto == 2) {echo 'selected';}?>>Reservacion</option>
                            <option value="3" <?php if ($concepto == 3) {echo 'selected';}?>>Adelantos</option>
                            <option value="4" <?php if ($concepto == 4) {echo 'selected';}?>>Otros servicios</option>
                        </select>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="field-2" class="control-label">Dinero Recibido $:</label>
                                <input type="text" name="lic" required class="form-control" value="<?php echo $s . ' ' . formato($monto); ?>" autocomplete="off" disabled="true" style="border-radius: 5px; border: 1px solid #39c">
                            </div>
                        </div>
                        <div class="col-md-2">


                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="field-1" class="control-label">Cargo $:</label>
                            <input type="text" name="cod" required  class="form-control" value="<?php echo $s . ' ' . formato($cargo); ?>" autocomplete="off" disabled="true" style="border-radius: 5px; border: 1px solid #39c">
                        </div></div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="field-2" class="control-label">Descuento %:</label>
                                <input type="text" name="lic" required class="form-control" value="<?php echo $desc; ?>" autocomplete="off" disabled="true" style="border-radius: 5px; border: 1px solid #39c">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="field-2" class="control-label">Total $:</label>
                                <input type="text" name="lic" required class="form-control" value="<?php echo $s . ' ' . formato($importe); ?>" autocomplete="off" disabled="true" style="border-radius: 5px; border: 1px solid #39c">
                            </div>
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>