<?php
	session_start();
	include_once "../php_conexion.php";
	include_once "../funciones.php";
	include_once "class/class.php";
	 include_once "../class_buscar.php";
	if($_SESSION['tipo_user']=='a' or $_SESSION['tipo_user']=='u'){
        if(permisos($_SESSION['seguridad'.$_SESSION['cod_user']],'Venta','1')==true){
			}else{
            header('Location: ../error500.php');
		}
		}else{
        header('Location: ../error500.php');
	}
?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
		<meta name="author" content="Coderthemes">
		<link rel="shortcut icon" href="../../assets/images/favicon_1.ico">
		<title>Clientes Registrados</title>
		<!-- DataTables -->
		<link href="../../assets/plugins/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/plugins/datatables/buttons.bootstrap.min.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/plugins/datatables/fixedHeader.bootstrap.min.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/plugins/datatables/responsive.bootstrap.min.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/plugins/datatables/scroller.bootstrap.min.css" rel="stylesheet" type="text/css" />
		<!-- Validaciones-->
		<link href="../../assets/plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css" rel="stylesheet" />
		<link href="../../assets/plugins/multiselect/css/multi-select.css"  rel="stylesheet" type="text/css" />
		<link href="../../assets/plugins/select2/select2.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/plugins/bootstrap-touchspin/dist/jquery.bootstrap-touchspin.min.css" rel="stylesheet" />
		<link href="../../assets/plugins/timepicker/bootstrap-timepicker.min.css" rel="stylesheet">
		<link href="../../assets/plugins/mjolnic-bootstrap-colorpicker/dist/css/bootstrap-colorpicker.min.css" rel="stylesheet">
		<link href="../../assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css" rel="stylesheet">
		<link href="../../assets/plugins/bootstrap-daterangepicker/daterangepicker.css" rel="stylesheet">
		<link href="../../assets/plugins/switchery/switchery.min.css" rel="stylesheet" />
		<!-- Generales-->
		<link href="../../assets/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/css/core.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/css/components.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/css/icons.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/css/pages.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/css/menu.css" rel="stylesheet" type="text/css" />
		<link href="../../assets/css/responsive.css" rel="stylesheet" type="text/css" />
		<!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
			<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
			<script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
		<![endif]-->
		<script src="../../assets/js/modernizr.min.js"></script>
	</head>
	<body>
		<!-- Navigation Bar-->
		<header id="topnav">
			<div class="topbar-main">
				<div class="container">
					<!-- Logo container-->
					<div class="logo">
						<a href="#" class="logo"> <span><?php include_once "../cabeza.php";?></span> </a>
					</div>
					<!-- End Logo container-->
					<div class="menu-extras">
						<ul class="nav navbar-nav navbar-right pull-right">
							<li class="dropdown">
								<a href="" class="dropdown-toggle waves-effect waves-light profile" data-toggle="dropdown" aria-expanded="true"><?php include_once "../img.php";?> </a>
								<ul class="dropdown-menu">
									<li><a href="../../php_cerrar.php"><i class="md-lock-outline"></i> Salir</a></li>
								</ul>
							</li>
						</ul>
						<div class="menu-item">
							<!-- Mobile menu toggle-->
							<a class="navbar-toggle">
								<div class="lines">
									<span></span>
									<span></span>
									<span></span>
								</div>
							</a>
							<!-- End mobile menu toggle-->
						</div>
					</div>
				</div>
			</div>
			<!-- End topbar -->
			<!-- Navbar Start -->
			<?php include_once "../menu.php";?>
		</header>
		<!-- End Navigation Bar-->
        <!-- =======================
			===== START PAGE ======
		======================= -->
		
		<div class="wrapper">
			<div class="container">
			
				<div class="row">
					<div class="col-sm-12">
						<div class="card-box table-responsive">
							<h4 class="m-t-0 header-title" align="center"><b>Vehiculos Registrados</b></h4>
							

							<table width="100%" border="0">
                                  <tr>
                                    <td width="40%">
                                        <div align="right">
                                        <form method="post" action="" enctype="multipart/form-data" name="form1" id="form1">
                                          <div class="input-group">
                                                 <input class="form-control" name="bus" type="text" class="span2" size="60" list="browsers1" autocomplete="off" placeholder="Buscar" autofocus>
                                                  <datalist id="browsers1">
                                                  <?php
													$buscar = $_POST['bus'];
													$can    = mysqli_query($conexion,"SELECT * FROM vehiculo, marcas where vehiculo.descripcion_veh= marcas.id_marca");
													while ($dato = mysqli_fetch_array($can)) {
														echo '<option value="' . $dato['vin_veh'] . '" >' . $dato['nombre_marca'] . '';
													}
													?>
                                              </datalist>
                                            </td>
                                            <td width="20%">
                                                <button class="btn btn-icon waves-effect waves-light btn-primary m-b-5" type="submit">Buscar</button>
                                          </td>
                                          </div>
                                        </form>
                                        </div>
                                    
                                  </tr>
                                </table><br>
                                
							<table id="datatable-buttons" class="table table-striped table-bordered">
								<thead>
									<tr>
										<th>Items</th>
                                        <th>Descripción</th>                                       
                                        <th>Modelo</th>     
                                        <th>Año</th> 
										<th>Lote</th> 
                                        <th>Vin</th>
                                        <th>Naviera</th>
										<th>Subasta</th> 
										<th>Aduana</th> 										
                                        <!--<th>Precio Publicación</th>                                     
                                        <th>Ultimo Precio </th>--> 
                                        <th>Estado</th>									
                                        <th></th>									
									</tr>
								</thead>
								<tbody>
									<?php
								#$ss=mysql_query("SELECT * FROM cliente ORDER BY nom");
							if (empty($_POST['bus'])) {
								$ss = mysqli_query($conexion,"SELECT * FROM vehiculo ORDER BY id_veh asc LIMIT 10");
							} else {
								$buscar = $_POST['bus'];
								$ss     = mysqli_query($conexion,"SELECT * FROM vehiculo where vin_veh LIKE '$buscar%' or id_veh LIKE '$buscar%'");
							}
							while ($rr = mysqli_fetch_array($ss)) {
								
								 $omodelo=new consultar_modelo($rr[1]);
                                            $omarca=new consultar_marca($rr[2]);
                                            $onaviera=new consultar_naviera($rr[6]);
                                            $osubasta=new consultar_subasta($rr[7]);
                                            $oaduana=new consultar_aduana($rr[8]);
											        
								?>
										<tr>
										<td><?php echo $rr[0]; ?></td>
                                        <td><?php echo $omarca->consultar('nombre_marca'); ?></td>
                                        <td><?php echo $omodelo->consultar('nombre_modelo'); ?></td>
                                        <td><?php echo $rr[3]; ?></td>
                                        <td><?php echo $rr[4]; ?></td>
                                        <td><?php echo $rr[5]; ?></td>
                                        <td><?php echo $omarca->consultar('nombre_marca'); ?></td>
                                        <td><?php echo $onaviera->consultar('nombre_nav'); ?></td>
                                        <td><?php echo $osubasta->consultar('nombre_subasta'); ?></td>
                                        <td><?php echo $oaduana->consultar('nombre_aduana'); ?></td>
                                        
										<!--<td align="center"><strong><?php echo $s.formato($rr[9]); ?></strong></td>
										<td align="center"><strong><?php echo $s.formato($rr[10]); ?></strong></td> -->
                                        <td align="center">
												<?php if(permisos($_SESSION['seguridad'.$_SESSION['cod_user']],'Venta','1')==true){ ?>                                       
													<div  class="btn-group btn-group m-b-10">
														<a href="admin.php?i=<?php echo $rr[0]; ?>" class="btn btn-danger btn-xs waves-effect waves-light" role="button" data-toggle="tooltip" data-placement="top" data-original-title="Asignar Vehículo" > <i class="fa fa-mail-forward fa-2x"></i></a>
													</div>
												<?php } ?>
											</td>
											
										</tr>
										
										<?php }?>
									</tbody>
								</table>
							</div>
						</div>
					</div>
					<!-- Footer -->
					<?php include_once "../pie.php";?>
					<!-- End Footer -->
				</div> <!-- end container -->
			</div>
			<!-- End wrapper -->
			<!-- jQuery  -->
			<script src="../../assets/js/jquery.min.js"></script>
			<script src="../../assets/js/bootstrap.min.js"></script>
			<script src="../../assets/js/detect.js"></script>
			<script src="../../assets/js/fastclick.js"></script>
			<script src="../../assets/js/jquery.blockUI.js"></script>
			<script src="../../assets/js/waves.js"></script>
			<script src="../../assets/js/wow.min.js"></script>
			<script src="../../assets/js/jquery.nicescroll.js"></script>
			<script src="../../assets/js/jquery.scrollTo.min.js"></script>
			<!-- Datatables-->
			<script src="../../assets/plugins/datatables/jquery.dataTables.min.js"></script>
			<script src="../../assets/plugins/datatables/dataTables.bootstrap.js"></script>
			<script src="../../assets/plugins/datatables/dataTables.buttons.min.js"></script>
			<script src="../../assets/plugins/datatables/buttons.bootstrap.min.js"></script>
			<script src="../../assets/plugins/datatables/jszip.min.js"></script>
			<script src="../../assets/plugins/datatables/pdfmake.min.js"></script>
			<script src="../../assets/plugins/datatables/vfs_fonts.js"></script>
			<script src="../../assets/plugins/datatables/buttons.html5.min.js"></script>
			<script src="../../assets/plugins/datatables/buttons.print.min.js"></script>
			<script src="../../assets/plugins/datatables/dataTables.fixedHeader.min.js"></script>
			<script src="../../assets/plugins/datatables/dataTables.keyTable.min.js"></script>
			<script src="../../assets/plugins/datatables/dataTables.responsive.min.js"></script>
			<script src="../../assets/plugins/datatables/responsive.bootstrap.min.js"></script>
			<script src="../../assets/plugins/datatables/dataTables.scroller.min.js"></script>
			<!-- Validaciones-->
			<script src="../../assets/plugins/switchery/switchery.min.js"></script>
			<script src="../../assets/plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js"></script>
			<script type="../../text/javascript" src="assets/plugins/multiselect/js/jquery.multi-select.js"></script>
			<script type="../../text/javascript" src="assets/plugins/jquery-quicksearch/jquery.quicksearch.js"></script>
			<script src="../../assets/plugins/select2/select2.min.js" type="text/javascript"></script>
			<script src="../../assets/plugins/bootstrap-touchspin/dist/jquery.bootstrap-touchspin.min.js" type="text/javascript"></script>
			<script src="../../assets/plugins/bootstrap-inputmask/bootstrap-inputmask.min.js" type="text/javascript"></script>
			<!-- Datatable init js -->
			<script src="../../assets/pages/datatables.init.js"></script>
			<!-- Custom main Js -->
			<script src="../../assets/js/jquery.core.js"></script>
			<script src="../../assets/js/jquery.app.js"></script>
			<script type="text/javascript">
				$(document).ready(function() {
					$('#datatable').dataTable();
					$('#datatable-keytable').DataTable( { keys: true } );
					$('#datatable-responsive').DataTable();
					$('#datatable-scroller').DataTable( { ajax: "../../assets/plugins/datatables/json/scroller-demo.json", deferRender: true, scrollY: 380, scrollCollapse: true, scroller: true } );
					var table = $('#datatable-fixed-header').DataTable( { fixedHeader: true } );
				} );
				TableManageButtons.init();
			</script>
			<script>
				jQuery(document).ready(function() {
					// Select2
					$(".select2").select2();
					$(".select2-limiting").select2({
						maximumSelectionLength: 2
					});
				});
			</script>
		</body>
	</html>																																																																								